## geonkick 3.7.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.7)

project(geonkick VERSION 3.7.0)

math(EXPR GEONKICK_VERSION_HEX "0x${PROJECT_VERSION_MAJOR} * 0x10000 + 0x${PROJECT_VERSION_MINOR} * 0x100 + 0x${PROJECT_VERSION_PATCH}")
set(GEONKICK_VERSION_STR "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")

message(STATUS "Geonkick version: ${GEONKICK_VERSION_STR} (${GEONKICK_VERSION_HEX})")

add_definitions(-DGEONKICK_VERSION_HEX=${GEONKICK_VERSION_HEX})
add_definitions(-DGEONKICK_VERSION_STR="${GEONKICK_VERSION_STR}")

if (NOT CMAKE_SYSTEM_NAME MATCHES Windows)
    include(GNUInstallDirs)
endif()

if (NOT CMAKE_SYSTEM_NAME MATCHES Windows)
   option(GKICK_STANDALONE "Enable build for standalone" ON)
else()
   option(GKICK_STANDALONE "Disable build for standalone" OFF)
endif()

set(REDKITE_INSTALL OFF CACHE BOOL "Disable Redkite install" FORCE)
option(GEONKICK_BASIC_VERSION "Enable geonkick limited version" OFF)
option(GKICK_PLUGIN "Enable build for plugin" ON)
option(GKICK_PRESETS "Enable presets" ON)

if (GKICK_PLUGIN)
  option(GKICK_PLUGIN_LV2 "Enable build LV2 plugin" ON)
  if (VST3_SDK_PATH)
    option(GKICK_PLUGIN_VST "Enable build VST plugin" ON)
  endif(VST3_SDK_PATH)
endif (GKICK_PLUGIN)

option(GKICK_DOCUMENTATION "Enable build documentation" OFF)

if (NOT CMAKE_BUILD_TYPE)
  message(STATUS "no build type selected, set default to Release")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type Release" FORCE)
endif()

if (NOT GKICK_ARCHITECTURE)
  message(STATUS "GKICK_ARCHITECTURE variable was not set use default ${CMAKE_HOST_SYSTEM_PROCESSOR}")
  set(GKICK_ARCHITECTURE ${CMAKE_HOST_SYSTEM_PROCESSOR})
endif ()

if (GKICK_ARCHITECTURE MATCHES x86_64)
  message(STATUS "set optimisation compiler flags for ${GKICK_ARCHITECTURE}")
  set(GKICK_OPTIMISATION_FLAGS "-O3 -msse -msse2 -mfpmath=sse -funsafe-math-optimizations -fno-math-errno -fno-trapping-math -fomit-frame-pointer")
else ()
  message(STATUS "set optimisation compiler flags for ${GKICK_ARCHITECTURE}")
  set(GKICK_OPTIMISATION_FLAGS "-O3 -funsafe-math-optimizations -fno-math-errno -fno-trapping-math -fomit-frame-pointer")
endif ()

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_FLAGS "-Wall ${GKICK_OPTIMISATION_FLAGS} ${CMAKE_CXX_FLAGS} -fvisibility=hidden")
set(CMAKE_C_FLAGS "-Wall ${GKICK_OPTIMISATION_FLAGS} ${CMAKE_C_FLAGS} -fvisibility=hidden")

if (GEONKICK_BASIC_VERSION)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGEONKICK_BASIC_VERSION")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGEONKICK_BASIC_VERSION")
endif(GEONKICK_BASIC_VERSION)

if (CMAKE_SYSTEM_NAME MATCHES Windows)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGEONKICK_OS_WINDOWS")
   set(CMAKE_C_FLAGS "${GKICK_OPTIMISATION_FLAGS} -DGEONKICK_OS_WINDOWS")
else()
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGEONKICK_OS_GNU")
   set(CMAKE_C_FLAGS "${GKICK_OPTIMISATION_FLAGS} -DGEONKICK_OS_GNU")
endif()

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set (CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "default install path" FORCE)
endif()

if (NOT CMAKE_INSTALL_FULL_DATADIR)
  message(STATUS "CMAKE_INSTALL_FULL_DATADIR is not set, use default ${CMAKE_INSTALL_PREFIX}/share")
  set(CMAKE_INSTALL_FULL_DATADIR "${CMAKE_INSTALL_PREFIX}/share" CACHE PATH "default data dir path" FORCE)
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGEONKICK_DATA_DIR=\\\"${CMAKE_INSTALL_FULL_DATADIR}\\\"")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGEONKICK_DATA_DIR=\\\"${CMAKE_INSTALL_FULL_DATADIR}\\\"")

set(GKICK_DOC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/doc)
set(GKICK_COMMON_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(GKICK_DSP_DIR ${GKICK_COMMON_DIR}/dsp)
set(GKICK_RC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src/resources)
set(GKICK_STANDALONE_DIR ${GKICK_COMMON_DIR}/standalone)

if (REDKITE_PATH)
  get_filename_component(REDKITE_FOLDER_NAME ${REDKITE_PATH} NAME)
if(NAME_FROM_PATH STREQUAL "" AND (REDKITE_FOLDER_NAME STREQUAL "." OR REDKITE_FOLDER_NAME STREQUAL ".."))
  message(FATAL_ERROR "The folder name '${REDKITE_FOLDER_NAME}' of Redkite is invalid or empty.")
endif()
  set(GKICK_REDKITE_DIR ${REDKITE_PATH})
else(REDKITE_PATH)
  set(GKICK_REDKITE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src/redkite)
endif(REDKITE_PATH)

if (GKICK_PLUGIN)
    if (GKICK_PLUGIN_VST)
      set(GKICK_VST_DIR ${GKICK_COMMON_DIR}/plugin/vst)
      set(GKICK_VST_SDK_PATH ${VST3_SDK_PATH})
    endif (GKICK_PLUGIN_VST)
    if (GKICK_PLUGIN_LV2)
      set(GKICK_LV2_DIR ${GKICK_COMMON_DIR}/plugin/lv2)
    endif (GKICK_PLUGIN_LV2)
endif(GKICK_PLUGIN)

set(GKICK_DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data)
set(GKICK_PRESETS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/presets)

set(GKICK_COMMON_HEADERS
  ${GKICK_COMMON_DIR}/ItemList.h
  ${GKICK_COMMON_DIR}/AbstractModel.h
  ${GKICK_COMMON_DIR}/AbstractView.h
  ${GKICK_COMMON_DIR}/Base64EncoderDecoder.h
  ${GKICK_COMMON_DIR}/DesktopPaths.h
  ${GKICK_COMMON_DIR}/GeonkickConfig.h
  ${GKICK_COMMON_DIR}/UiSettings.h
  ${GKICK_COMMON_DIR}/ViewState.h
  ${GKICK_COMMON_DIR}/GeonkickModel.h
  ${GKICK_COMMON_DIR}/geonkick_widget.h
  ${GKICK_COMMON_DIR}/geonkick_slider.h
  ${GKICK_COMMON_DIR}/geonkick_button.h
  ${GKICK_COMMON_DIR}/PathBookmarksModel.h
  ${GKICK_COMMON_DIR}/PathBookmarksView.h
  ${GKICK_COMMON_DIR}/FilesView.h
  ${GKICK_COMMON_DIR}/PathButton.h
  ${GKICK_COMMON_DIR}/BreadcrumbBar.h
  ${GKICK_COMMON_DIR}/PathHistory.h
  ${GKICK_COMMON_DIR}/FileBrowser.h
  ${GKICK_COMMON_DIR}/PresetBrowser.h
  ${GKICK_COMMON_DIR}/SampleBrowser.h
  ${GKICK_COMMON_DIR}/geonkick_groupbox.h
  ${GKICK_COMMON_DIR}/TopBar.h
  ${GKICK_COMMON_DIR}/Sidebar.h
  ${GKICK_COMMON_DIR}/control_area.h
  ${GKICK_COMMON_DIR}/controls_widget.h
  ${GKICK_COMMON_DIR}/InstrumentModel.h
  ${GKICK_COMMON_DIR}/kit_model.h
  ${GKICK_COMMON_DIR}/InstrumentView.h
  ${GKICK_COMMON_DIR}/kit_widget.h
  ${GKICK_COMMON_DIR}/KitTabs.h
  ${GKICK_COMMON_DIR}/envelope_draw_area.h
  ${GKICK_COMMON_DIR}/limiter.h
  ${GKICK_COMMON_DIR}/general_envelope.h
  ${GKICK_COMMON_DIR}/AppInfoWidget.h
  ${GKICK_COMMON_DIR}/layers_group_box.h
  ${GKICK_COMMON_DIR}/general_group_box.h
  ${GKICK_COMMON_DIR}/EnvelopePoint.h
  ${GKICK_COMMON_DIR}/envelope.h
  ${GKICK_COMMON_DIR}/BufferView.h
  ${GKICK_COMMON_DIR}/InstrumentWaveform.h
  ${GKICK_COMMON_DIR}/envelope_widget.h
  ${GKICK_COMMON_DIR}/knob.h
  ${GKICK_COMMON_DIR}/OscillatorModel.h
  ${GKICK_COMMON_DIR}/DspProxy.h
  ${GKICK_COMMON_DIR}/DspProxyHumanizer.h
  ${GKICK_COMMON_DIR}/InstrumentState.h
  ${GKICK_COMMON_DIR}/kit_state.h
  ${GKICK_COMMON_DIR}/oscillator_envelope.h
  ${GKICK_COMMON_DIR}/OscillatorFunctionView.h
  ${GKICK_COMMON_DIR}/DistortionModel.h
  ${GKICK_COMMON_DIR}/OscillatorDistortionModel.h
  ${GKICK_COMMON_DIR}/InstrumentDistortionModel.h
  ${GKICK_COMMON_DIR}/DistortionView.h
  ${GKICK_COMMON_DIR}/FilterModel.h
  ${GKICK_COMMON_DIR}/OscillatorFilterModel.h
  ${GKICK_COMMON_DIR}/InstrumentFilterModel.h
  ${GKICK_COMMON_DIR}/FilterView.h
  ${GKICK_COMMON_DIR}/HumanizerModel.h
  ${GKICK_COMMON_DIR}/HumanizerView.h
  ${GKICK_COMMON_DIR}/EffectTabButton.h
  ${GKICK_COMMON_DIR}/InstrumentGlobalEffects.h
  ${GKICK_COMMON_DIR}/OscillatorEffects.h
  ${GKICK_COMMON_DIR}/oscillator_group_box.h
  ${GKICK_COMMON_DIR}/ExportAbstract.h
  ${GKICK_COMMON_DIR}/ExportSoundData.h
  ${GKICK_COMMON_DIR}/ExportToSfz.h
  ${GKICK_COMMON_DIR}/export_widget.h
  ${GKICK_COMMON_DIR}/preset.h
  ${GKICK_COMMON_DIR}/preset_folder.h
  ${GKICK_COMMON_DIR}/preset_browser_model.h
  ${GKICK_COMMON_DIR}/preset_browser_view.h
  ${GKICK_COMMON_DIR}/PresetNavigator.h
  ${GKICK_COMMON_DIR}/SettingsWidget.h
  ${GKICK_COMMON_DIR}/MidiKeyWidget.h
  ${GKICK_COMMON_DIR}/EnvelopePointContextWidget.h
  ${GKICK_COMMON_DIR}/MainWindow.h
)

set(GKICK_COMMON_SOURCES
  ${GKICK_COMMON_DIR}/AbstractModel.cpp
  ${GKICK_COMMON_DIR}/AbstractView.cpp
  ${GKICK_COMMON_DIR}/Base64EncoderDecoder.cpp
  ${GKICK_COMMON_DIR}/DesktopPaths.cpp
  ${GKICK_COMMON_DIR}/GeonkickConfig.cpp
  ${GKICK_COMMON_DIR}/UiSettings.cpp
  ${GKICK_COMMON_DIR}/ViewState.cpp
  ${GKICK_COMMON_DIR}/GeonkickModel.cpp
  ${GKICK_COMMON_DIR}/geonkick_widget.cpp
  ${GKICK_COMMON_DIR}/geonkick_slider.cpp
  ${GKICK_COMMON_DIR}/geonkick_button.cpp
  ${GKICK_COMMON_DIR}/PathBookmarksModel.cpp
  ${GKICK_COMMON_DIR}/PathBookmarksView.cpp
  ${GKICK_COMMON_DIR}/FilesView.cpp
  ${GKICK_COMMON_DIR}/PathButton.cpp
  ${GKICK_COMMON_DIR}/BreadcrumbBar.cpp
  ${GKICK_COMMON_DIR}/PathHistory.cpp
  ${GKICK_COMMON_DIR}/FileBrowser.cpp
  ${GKICK_COMMON_DIR}/PresetBrowser.cpp
  ${GKICK_COMMON_DIR}/SampleBrowser.cpp
  ${GKICK_COMMON_DIR}/geonkick_groupbox.cpp
  ${GKICK_COMMON_DIR}/TopBar.cpp
  ${GKICK_COMMON_DIR}/Sidebar.cpp
  ${GKICK_COMMON_DIR}/control_area.cpp
  ${GKICK_COMMON_DIR}/controls_widget.cpp
  ${GKICK_COMMON_DIR}/InstrumentModel.cpp
  ${GKICK_COMMON_DIR}/kit_model.cpp
  ${GKICK_COMMON_DIR}/InstrumentView.cpp
  ${GKICK_COMMON_DIR}/kit_widget.cpp
  ${GKICK_COMMON_DIR}/KitTabs.cpp
  ${GKICK_COMMON_DIR}/envelope_draw_area.cpp
  ${GKICK_COMMON_DIR}/limiter.cpp
  ${GKICK_COMMON_DIR}/general_envelope.cpp
  ${GKICK_COMMON_DIR}/AppInfoWidget.cpp
  ${GKICK_COMMON_DIR}/layers_group_box.cpp
  ${GKICK_COMMON_DIR}/general_group_box.cpp
  ${GKICK_COMMON_DIR}/EnvelopePoint.cpp
  ${GKICK_COMMON_DIR}/envelope.cpp
  ${GKICK_COMMON_DIR}/BufferView.cpp
  ${GKICK_COMMON_DIR}/InstrumentWaveform.cpp
  ${GKICK_COMMON_DIR}/envelope_widget.cpp
  ${GKICK_COMMON_DIR}/knob.cpp
  ${GKICK_COMMON_DIR}/OscillatorModel.cpp
  ${GKICK_COMMON_DIR}/DspProxy.cpp
  ${GKICK_COMMON_DIR}/DspProxyHumanizer.cpp
  ${GKICK_COMMON_DIR}/InstrumentState.cpp
  ${GKICK_COMMON_DIR}/kit_state.cpp
  ${GKICK_COMMON_DIR}/oscillator_envelope.cpp
  ${GKICK_COMMON_DIR}/OscillatorFunctionView.cpp
  ${GKICK_COMMON_DIR}/DistortionModel.cpp
  ${GKICK_COMMON_DIR}/OscillatorDistortionModel.cpp
  ${GKICK_COMMON_DIR}/InstrumentDistortionModel.cpp
  ${GKICK_COMMON_DIR}/DistortionView.cpp
  ${GKICK_COMMON_DIR}/FilterModel.cpp
  ${GKICK_COMMON_DIR}/OscillatorFilterModel.cpp
  ${GKICK_COMMON_DIR}/InstrumentFilterModel.cpp
  ${GKICK_COMMON_DIR}/FilterView.cpp
  ${GKICK_COMMON_DIR}/HumanizerModel.cpp
  ${GKICK_COMMON_DIR}/HumanizerView.cpp
  ${GKICK_COMMON_DIR}/EffectTabButton.cpp
  ${GKICK_COMMON_DIR}/InstrumentGlobalEffects.cpp
  ${GKICK_COMMON_DIR}/OscillatorEffects.cpp
  ${GKICK_COMMON_DIR}/oscillator_group_box.cpp
  ${GKICK_COMMON_DIR}/export_widget.cpp
  ${GKICK_COMMON_DIR}/ExportAbstract.cpp
  ${GKICK_COMMON_DIR}/ExportSoundData.cpp
  ${GKICK_COMMON_DIR}/ExportToSfz.cpp
  ${GKICK_COMMON_DIR}/preset.cpp
  ${GKICK_COMMON_DIR}/preset_folder.cpp
  ${GKICK_COMMON_DIR}/preset_browser_model.cpp
  ${GKICK_COMMON_DIR}/preset_browser_view.cpp
  ${GKICK_COMMON_DIR}/PresetNavigator.cpp
  ${GKICK_COMMON_DIR}/MidiKeyWidget.cpp
  ${GKICK_COMMON_DIR}/EnvelopePointContextWidget.cpp
  ${GKICK_COMMON_DIR}/SettingsWidget.cpp
  ${GKICK_COMMON_DIR}/MainWindow.cpp
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "Enable application logging")
    option(ENABLE_LOGGING    "Enable logging for DSP and GUI" ON)
endif()

if (GEONKICK_BASIC_VERSION)
  list(APPEND GKICK_DSP_FLAGS "-DGEONKICK_BASIC_VERSION")
  list(APPEND GKICK_DSP_FLAGS "-DGEONKICK_BASIC_VERSION")
  list(APPEND GKICK_DSP_PLUGIN_FLAGS "-DGEONKICK_BASIC_VERSION")
  list(APPEND GKICK_DSP_PLUGIN_FLAGS "-DGEONKICK_BASIC_VERSION")
  list(APPEND GKICK_DSP_PLUGIN_SINGLE_FLAGS "-DGEONKICK_BASIC_VERSION")
  list(APPEND GKICK_DSP_PLUGIN_SINGLE_FLAGS "-DGEONKICK_BASIC_VERSION")
endif (GEONKICK_BASIC_VERSION)

if (ENABLE_LOGGING)
  message(STATUS "set debug level")
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -fsanitize=undefined -fsanitize=leak -DGKICK_LOG_DEBUG_LEVEL")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGKICK_LOG_DEBUG_LEVEL")
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fsanitize=undefined -fsanitize=leak -DGKICK_LOG_DEBUG_LEVEL")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGKICK_LOG_DEBUG_LEVEL")
  list(APPEND GKICK_DSP_FLAGS "-DGKICK_LIB_LOG_LEVEL_DEBUG")

=== src/dsp/CMakeLists.txt ===
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")

set(QUAMPLEX_DSP_TOOLS_PATH ${GKICK_DSP_DIR}/src/quamplex_dsp_tools)

set(GKICK_DSP_HEADERS
        ${QUAMPLEX_DSP_TOOLS_PATH}/qx_math.h
        ${QUAMPLEX_DSP_TOOLS_PATH}/qx_randomizer.h
        ${GKICK_DSP_DIR}/src/humanizer.h
	${GKICK_DSP_DIR}/src/audio_output.h
	${GKICK_DSP_DIR}/src/distortion.h
	${GKICK_DSP_DIR}/src/envelope.h
	${GKICK_DSP_DIR}/src/filter.h
	${GKICK_DSP_DIR}/src/geonkick.h
	${GKICK_DSP_DIR}/src/geonkick_internal.h
	${GKICK_DSP_DIR}/src/gkick_audio.h
        ${GKICK_DSP_DIR}/src/mixer.h
	${GKICK_DSP_DIR}/src/gkick_buffer.h
        ${GKICK_DSP_DIR}/src/ring_buffer.h
	${GKICK_DSP_DIR}/src/gkick_log.h
	${GKICK_DSP_DIR}/src/oscillator.h
	${GKICK_DSP_DIR}/src/synthesizer.h
        ${GKICK_DSP_DIR}/src/worker.h)

if (GKICK_STANDALONE)
  if (CMAKE_SYSTEM_NAME MATCHES Windows)
  	message(STATUS "No Jack implementation for Windows")
  else()
        list(APPEND GKICK_DSP_HEADERS ${GKICK_DSP_DIR}/src/gkick_jack.h)
  endif()
endif(GKICK_STANDALONE)

set(GKICK_DSP_SOURCES
        ${GKICK_DSP_DIR}/src/humanizer.c
        ${GKICK_DSP_DIR}/src/audio_output.c
        ${GKICK_DSP_DIR}/src/distortion.c
	${GKICK_DSP_DIR}/src/envelope.c
	${GKICK_DSP_DIR}/src/filter.c
	${GKICK_DSP_DIR}/src/geonkick.c
	${GKICK_DSP_DIR}/src/gkick_audio.c
        ${GKICK_DSP_DIR}/src/mixer.c
	${GKICK_DSP_DIR}/src/gkick_buffer.c
        ${GKICK_DSP_DIR}/src/ring_buffer.c
	${GKICK_DSP_DIR}/src/gkick_log.c
	${GKICK_DSP_DIR}/src/oscillator.c
	${GKICK_DSP_DIR}/src/synthesizer.c
        ${GKICK_DSP_DIR}/src/worker.c)

if (GKICK_STANDALONE)
  if (CMAKE_SYSTEM_NAME MATCHES Windows)
  	message(STATUS "No Jack implementation for Windows")
  else()
       list(APPEND GKICK_DSP_SOURCES ${GKICK_DSP_DIR}/src/gkick_jack.c)
  endif()
endif(GKICK_STANDALONE)

include_directories(${GKICK_DSP_DIR}/src)
include_directories(${QUAMPLEX_DSP_TOOLS_PATH})

if (GKICK_STANDALONE)
	add_library(dsp_standalone STATIC
		${GKICK_DSP_HEADERS}
		${GKICK_DSP_SOURCES})
        target_compile_options(dsp_standalone PUBLIC ${GKICK_DSP_FLAGS})
endif (GKICK_STANDALONE)

if (GKICK_PLUGIN)
	add_library(dsp_plugin_single STATIC
		${GKICK_DSP_HEADERS}
		${GKICK_DSP_SOURCES})
	target_compile_options(dsp_plugin_single PUBLIC ${GKICK_DSP_PLUGIN_SINGLE_FLAGS})
   	add_library(dsp_plugin STATIC
		${GKICK_DSP_HEADERS}
		${GKICK_DSP_SOURCES})
	target_compile_options(dsp_plugin PRIVATE ${GKICK_DSP_PLUGIN_FLAGS})
endif (GKICK_PLUGIN)

=== src/redkite/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.8)

project(redkite VERSION 2.1.0)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

option(RK_ENABLE_EXAMPLES "Build examples" OFF)
option(RK_BUILD_TOOLS "Build tools" ON)
option(REDKITE_INSTALL "Enable installation of Redkite" ON)

if (CMAKE_SYSTEM_NAME MATCHES Windows)
  message(STATUS "Build Redkite for Windows")
  add_compile_options(-DRK_OS_WIN)
  add_compile_options(-DRK_FOR_SHARED)
  add_compile_options(-DCAIRO_WIN32_STATIC_BUILD)
elseif(CMAKE_SYSTEM_NAME MATCHES Darwin)
  message(FATAL_ERROR "Redkite is not implemented yet for Mac OS X")
elseif (CMAKE_SYSTEM_NAME MATCHES Linux)
  message(STATUS " Build Redkite for GNU/Linux")
elseif (CMAKE_SYSTEM_NAME MATCHES FreeBSD)
  message(STATUS " Build Redkite for FreeBSD")
else()
  message(FATAL_ERROR "Redkite is not implemented yet for ${CMAKE_SYSTEM_NAME}")
endif()

set(RK_INCLUDE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/include)
set(RK_SRC_PATH ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(RK_EXAMPLES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/examples)
set(RK_TOOLS_PATH ${CMAKE_CURRENT_SOURCE_DIR}/tools)
set(RK_DOC_PATH ${CMAKE_CURRENT_SOURCE_DIR}/doc)

if (NOT CMAKE_BUILD_TYPE)
  message(STATUS "no build type selected, default to Release")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type Release" FORCE)
endif()

if (RK_ARCHITECTURE MATCHES x86_64)
  message(STATUS "set optimisation compiler flags for ${RK_ARCHITECTURE}")
  set(RK_OPTIMISATION_FLAGS "-O3 -msse -msse2 -mfpmath=sse -funsafe-math-optimizations -fno-math-errno -fno-trapping-math -fomit-frame-pointer")
else ()
  message(STATUS "set optimisation compiler flags for ${RK_ARCHITECTURE}")
  set(RK_OPTIMISATION_FLAGS "-O3 -funsafe-math-optimizations -fno-math-errno -fno-trapping-math -fomit-frame-pointer")
endif ()

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_FLAGS "-Wall ${RK_OPTIMISATION_FLAGS} ${CMAKE_CXX_FLAGS} -fvisibility=hidden")
set(CMAKE_C_FLAGS "-Wall ${RK_OPTIMISATION_FLAGS} ${CMAKE_C_FLAGS} -fvisibility=hidden")

if (NOT RK_EXPORT_INTERFACE)
  message(STATUS "don't export Redkite interface")
else ()
  message(STATUS "export Redkite interface")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DRK_EXPORT_INTERFACE")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DRK_EXPORT_INTERFACE")
endif ()

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set (CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "default install path" FORCE)
endif()

if (NOT CMAKE_INSTALL_LIBDIR)
  message(STATUS "setting the default lib dir path to /usr/lib")
  set(CMAKE_INSTALL_LIBDIR /usr/lib CACHE STRING "lib dir to /usr/lib" FORCE)
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "enable logging")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DRK_LOG_DEBUG_LEVEL")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DRK_LOG_DEBUG_LEVEL")
endif()

if (NOT RK_GRAPHICS_BACKEND)
  message(STATUS "use default Cairo graphics backend")
  set(RK_GRAPHICS_BACKEND "Cairo")
  find_package(Cairo REQUIRED)
  if (CAIRO_FOUND)
    message(STATUS "Cairo library found")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DRK_GRAPHICS_CAIRO_BACKEND")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DRK_GRAPHICS_CAIRO_BACKEND")
  else(CAIRO_FOUND)
    message(FATAL_ERROR "Can't find Cairo library")
  endif(CAIRO_FOUND)
elseif (RK_GRAPHICS_BACKEND MATCHES Cairo)
  find_package(Cairo REQUIRED)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DRK_GRAPHICS_CAIRO_BACKEND")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DRK_GRAPHICS_CAIRO_BACKEND")
endif()

include_directories(${RK_INCLUDE_PATH})
include_directories(${RK_INCLUDE_PATH}/impl)

set(RK_HEADERS
  ${RK_INCLUDE_PATH}/Rk.h
  ${RK_INCLUDE_PATH}/RkVariant.h
  ${RK_INCLUDE_PATH}/RkObserver.h
  ${RK_INCLUDE_PATH}/RkObject.h
  ${RK_INCLUDE_PATH}/RkAction.h
  ${RK_INCLUDE_PATH}/RkLog.h
  ${RK_INCLUDE_PATH}/RkPoint.h
  ${RK_INCLUDE_PATH}/RkRealPoint.h
  ${RK_INCLUDE_PATH}/RkSize.h
  ${RK_INCLUDE_PATH}/RkRect.h
  ${RK_INCLUDE_PATH}/RkColor.h
  ${RK_INCLUDE_PATH}/RkPen.h
  ${RK_INCLUDE_PATH}/RkFont.h
  ${RK_INCLUDE_PATH}/RkPlatform.h
  ${RK_INCLUDE_PATH}/RkEvent.h
  ${RK_INCLUDE_PATH}/RkEventQueue.h
  ${RK_INCLUDE_PATH}/RkTimer.h
  ${RK_INCLUDE_PATH}/RkWidget.h
  ${RK_INCLUDE_PATH}/RkLabel.h
  ${RK_INCLUDE_PATH}/RkButton.h
  ${RK_INCLUDE_PATH}/RkSpinBox.h
  ${RK_INCLUDE_PATH}/RkLineEdit.h
  ${RK_INCLUDE_PATH}/RkList.h
  ${RK_INCLUDE_PATH}/RkProgressBar.h
  ${RK_INCLUDE_PATH}/RkCanvas.h
  ${RK_INCLUDE_PATH}/RkImage.h
  ${RK_INCLUDE_PATH}/RkPainter.h
  ${RK_INCLUDE_PATH}/RkMain.h
  ${RK_INCLUDE_PATH}/RkModel.h
  ${RK_INCLUDE_PATH}/RkContainerItem.h
  ${RK_INCLUDE_PATH}/RkContainerWidgetItem.h
  ${RK_INCLUDE_PATH}/RkContainer.h
  ${RK_INCLUDE_PATH}/RkFlowContainer.h
  ${RK_INCLUDE_PATH}/RkTransition.h)

set(RK_HEADERS_IMPL
  ${RK_INCLUDE_PATH}/impl/RkObjectImpl.h
  ${RK_INCLUDE_PATH}/impl/RkMainImpl.h
  ${RK_INCLUDE_PATH}/impl/RkShortcut.h
  ${RK_INCLUDE_PATH}/impl/RkEventQueueImpl.h
  ${RK_INCLUDE_PATH}/impl/RkSystemWindow.h
  ${RK_INCLUDE_PATH}/impl/RkWidgetImpl.h
  ${RK_INCLUDE_PATH}/impl/RkLabelImpl.h
  ${RK_INCLUDE_PATH}/impl/RkListImpl.h
  ${RK_INCLUDE_PATH}/impl/RkModelImpl.h
  ${RK_INCLUDE_PATH}/impl/RkButtonImpl.h
  ${RK_INCLUDE_PATH}/impl/RkSpinBoxImpl.h
  ${RK_INCLUDE_PATH}/impl/RkLineEditImpl.h
  ${RK_INCLUDE_PATH}/impl/RkProgressBarImpl.h
  ${RK_INCLUDE_PATH}/impl/RkCanvasInfo.h
  ${RK_INCLUDE_PATH}/impl/RkImageImpl.h
  ${RK_INCLUDE_PATH}/impl/RkPainterImpl.h
  )

if (RK_GRAPHICS_BACKEND MATCHES Cairo)
  set(RK_GRAPHICS_BACKEND_HEADRES
    ${RK_INCLUDE_PATH}/impl/RkCairoGraphicsBackend.h
    ${RK_INCLUDE_PATH}/impl/RkCairoImageBackendCanvas.h)
  set(RK_GRAPHICS_BACKEND_SOURCES
    ${RK_SRC_PATH}/RkCairoGraphicsBackend.cpp
    ${RK_SRC_PATH}/RkCairoImageBackendCanvas.cpp)
endif()

if(CMAKE_SYSTEM_NAME MATCHES Windows)
set(RK_HEADERS_PLATFORM
  ${RK_INCLUDE_PATH}/impl/platforms/win/RkWindowWin.h
  ${RK_INCLUDE_PATH}/impl/platforms/win/RkEventQueueWin.h)
elseif (CMAKE_SYSTEM_NAME MATCHES Darwin)
set(RK_HEADERS_PLATFORM
  ${RK_INCLUDE_PATH}/impl/platforms/mac/RkWindowMac.h
  ${RK_INCLUDE_PATH}/impl/platforms/mac/RkEventQueueMac.h)
else() # defaut GNU/Linux
  set(RK_HEADERS_PLATFORM
  ${RK_INCLUDE_PATH}/impl/platforms/xwin/RkWindowX.h
  ${RK_INCLUDE_PATH}/impl/platforms/xwin/RkEventQueueX.h)
endif()

set(RK_SOURCES
  ${RK_SRC_PATH}/RkObject.cpp
  ${RK_SRC_PATH}/RkCanvas.cpp
  ${RK_SRC_PATH}/RkObjectImpl.cpp
  ${RK_SRC_PATH}/RkSystemWindow.cpp
  ${RK_SRC_PATH}/RkWidget.cpp
  ${RK_SRC_PATH}/RkWidgetImpl.cpp
  ${RK_SRC_PATH}/RkMain.cpp
  ${RK_SRC_PATH}/RkEventQueue.cpp
  ${RK_SRC_PATH}/RkTimer.cpp
  ${RK_SRC_PATH}/RkEventQueueImpl.cpp
  ${RK_SRC_PATH}/RkMainImpl.cpp
  ${RK_SRC_PATH}/RkModel.cpp
  ${RK_SRC_PATH}/RkModelImpl.cpp
  ${RK_SRC_PATH}/RkLabel.cpp
  ${RK_SRC_PATH}/RkLabelImpl.cpp
  ${RK_SRC_PATH}/RkSpinBox.cpp
  ${RK_SRC_PATH}/RkSpinBoxImpl.cpp
  ${RK_SRC_PATH}/RkButton.cpp
  ${RK_SRC_PATH}/RkButtonImpl.cpp
  ${RK_SRC_PATH}/RkLineEdit.cpp
  ${RK_SRC_PATH}/RkLineEditImpl.cpp
  ${RK_SRC_PATH}/RkList.cpp
  ${RK_SRC_PATH}/RkListImpl.cpp
  ${RK_SRC_PATH}/RkProgressBar.cpp
  ${RK_SRC_PATH}/RkProgressBarImpl.cpp
  ${RK_SRC_PATH}/RkPainter.cpp
  ${RK_SRC_PATH}/RkImage.cpp
  ${RK_SRC_PATH}/RkImageImpl.cpp
  ${RK_SRC_PATH}/RkPainterImpl.cpp
  ${RK_SRC_PATH}/RkContainer.cpp
  ${RK_SRC_PATH}/RkFlowContainer.cpp)

if (CMAKE_SYSTEM_NAME MATCHES Windows)
  set(RK_SOURCES_PLATFORM
    ${RK_SRC_PATH}/platforms/win/RkLogWin.cpp
    ${RK_SRC_PATH}/platforms/win/RkPlatformWin.cpp
    ${RK_SRC_PATH}/platforms/win/RkWindowWin.cpp
    ${RK_SRC_PATH}/platforms/win/RkEventQueueWin.cpp)
elseif (CMAKE_SYSTEM_NAME MATCHES Darwin)
  set(RK_SOURCES_PLATFORM
    ${RK_SRC_PATH}/platforms/mac/RkPlatformMac.cpp
    ${RK_SRC_PATH}/platforms/mac/RkWindowMac.cpp
    ${RK_SRC_PATH}/platforms/mac/RkEventQueueMac.cpp)
else() # defaut GNU/Linux
  set(RK_SOURCES_PLATFORM
    ${RK_SRC_PATH}/platforms/xwin/RkLogX.cpp
    ${RK_SRC_PATH}/platforms/xwin/RkPlatformX.cpp
    ${RK_SRC_PATH}/platforms/xwin/RkWindowX.cpp
    ${RK_SRC_PATH}/platforms/xwin/RkEventQueueX.cpp)
endif()

if (CMAKE_SYSTEM_NAME MATCHES Windows)
  include_directories(${RK_INCLUDE_PATH}/impl/platforms/win)
elseif (CMAKE_SYSTEM_NAME MATCHES Darwin)
  include_directories(${RK_INCLUDE_PATH}/impl/platforms/mac)
# not implemented yet
else() # defualt GNU/Linux
add_definitions(-fPIC)
include_directories(${RK_INCLUDE_PATH}/impl/platforms/xwin)
endif()

add_library(redkite STATIC
  ${RK_HEADERS}
  ${RK_HEADERS_IMPL}
  ${RK_HEADERS_PLATFORM}
  ${RK_GRAPHICS_BACKEND_HEADRES}
  ${RK_GRAPHICS_BACKEND_SOURCES}
  ${RK_SOURCES}
  ${RK_SOURCES_PLATFORM})

if (REDKITE_ENABLE_INSTALL)
if (CMAKE_SYSTEM_NAME MATCHES Windows)
  install(TARGETS redkite DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${RK_HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
else()
  install(TARGETS redkite DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
  install(FILES ${RK_HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/redkite)
endif()
endif(REDKITE_ENABLE_INSTALL)

if(RK_BUILD_TOOLS)
	add_subdirectory(tools)
endif(RK_BUILD_TOOLS)
if(RK_ENABLE_EXAMPLES)
   add_subdirectory(examples)
endif(RK_ENABLE_EXAMPLES)

=== src/standalone/CMakeLists.txt ===
set(GKICK_STANDALONE_SOURCES ${GKICK_STANDALONE_DIR}/main.cpp)

add_executable(geonkick
  ${GKICK_COMMON_HEADERS}
  ${GKICK_COMMON_RESOURCES}
  ${GKICK_STANDALONE_SOURCES})

add_dependencies(geonkick dsp_standalone)
add_dependencies(geonkick redkite)
target_link_libraries(geonkick  geonkick_common dsp_standalone redkite)
if (CMAKE_SYSTEM_NAME MATCHES Windows)
    target_link_libraries(geonkick "-mwindows -lstdc++ -lstdc++fs -lsndfile -lm -lpthread")
else()
    target_link_libraries(geonkick "-lstdc++fs")
    target_link_libraries(geonkick "-lX11 -ljack -lsndfile -lrt -lm -ldl -lpthread -lcairo")
endif()

install(TARGETS geonkick DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${GKICK_DOC_DIR}/man/geonkick.1  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)

=== src/plugin/lv2/CMakeLists.txt ===
set(GKICK_LV2_SOURCES ${GKICK_LV2_DIR}/geonkick_lv2.cpp)

add_library(geonkick_lv2 SHARED
  ${GKICK_COMMON_HEADERS}
  ${GKICK_COMMON_RESOURCES}
  ${GKICK_LV2_SOURCES})

set_target_properties(geonkick_lv2 PROPERTIES PREFIX "")
target_link_libraries(geonkick_lv2 PRIVATE  geonkick_common dsp_plugin redkite)

if (CMAKE_SYSTEM_NAME MATCHES Windows)
    target_link_libraries(geonkick_lv2 PRIVATE
      "libcairo.a"
      "libmsimg32.a"
      "libfontconfig.a"
      "libfreetype.a"
      "libpixman-1.a"
      "libpng.a"
      "libintl.a"
      "libiconv.a"
      "libexpat.a"
      "libbrotlidec.a"
      "libharfbuzz.a"
      "libbz2.a"
      "libbrotlicommon.a"
      "libgraphite2.a"
      "librpcrt4.a"
      "libsndfile.a"
      "libvorbis.a"
      "libvorbisenc.a"
      "libogg.a"
      "libFLAC.a"
      "libmp3lame.a"
      "libopus.a"
      "libmpg123.a"
      "libshlwapi.a"
      "libz.a"
      "libwinpthread.a"
      "libdwrite.a"
      "-static-libstdc++"
      "-static-libgcc")
else()
    target_link_libraries(geonkick_lv2 PRIVATE "-lstdc++fs")
    target_link_libraries(geonkick_lv2 PRIVATE "-lX11 -lsndfile -lrt -lm -ldl -lpthread -lcairo")
endif()

add_dependencies(geonkick_lv2 dsp_plugin)
add_dependencies(geonkick_lv2 redkite)

add_library(geonkick_single_lv2 SHARED
    ${GKICK_COMMON_HEADERS}
    ${GKICK_COMMON_RESOURCES}
    ${GKICK_LV2_SOURCES})
set_target_properties(geonkick_single_lv2 PROPERTIES PREFIX "")
target_link_libraries(geonkick_single_lv2 PRIVATE  geonkick_common_single dsp_plugin_single redkite)

if (CMAKE_SYSTEM_NAME MATCHES Windows)
    target_link_libraries(geonkick_single_lv2 PRIVATE
      "libcairo.a"
      "libmsimg32.a"
      "libfontconfig.a"
      "libfreetype.a"
      "libpixman-1.a"
      "libpng.a"
      "libintl.a"
      "libiconv.a"
      "libexpat.a"
      "libbrotlidec.a"
      "libharfbuzz.a"
      "libbz2.a"
      "libbrotlicommon.a"
      "libgraphite2.a"
      "librpcrt4.a"
      "libsndfile.a"
      "libvorbis.a"
      "libvorbisenc.a"
      "libogg.a"
      "libFLAC.a"
      "libmp3lame.a"
      "libopus.a"
      "libmpg123.a"
      "libshlwapi.a"
      "libz.a"
      "libwinpthread.a"
      "libdwrite.a"
      "-static-libstdc++"
      "-static-libgcc")
else()
  target_link_libraries(geonkick_single_lv2 PRIVATE "-lstdc++fs")
  target_link_libraries(geonkick_single_lv2 PRIVATE "-lX11 -lsndfile -lrt -lm -ldl -lpthread -lcairo")
endif()

add_dependencies(geonkick_single_lv2 dsp_plugin_single)
target_compile_options(geonkick_single_lv2 PRIVATE PUBLIC ${GKICK_DSP_PLUGIN_SINGLE_FLAGS})
install(TARGETS geonkick_single_lv2 DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/lv2/geonkick.lv2)
install(TARGETS geonkick_lv2 DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/lv2/geonkick.lv2)
if (CMAKE_SYSTEM_NAME MATCHES Windows)
    install(DIRECTORY ${GKICK_LV2_DIR}/geonkick_win.lv2/
    DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/lv2/geonkick.lv2
    FILES_MATCHING PATTERN "*"
)
else()
    install(DIRECTORY ${GKICK_LV2_DIR}/geonkick.lv2 DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/lv2)
endif()

=== src/plugin/vst/CMakeLists.txt ===
set(GKICK_VST_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(SMTG_ENABLE_VST3_HOSTING_EXAMPLES OFF CACHE BOOL "disable hosting examples")
set(SMTG_ENABLE_VST3_PLUGIN_EXAMPLES OFF CACHE BOOL "disable plugin examples")
set(SMTG_ENABLE_VSTGUI_SUPPORT OFF CACHE BOOL "disable vstgui examples")
list(APPEND CMAKE_MODULE_PATH "${GKICK_VST_SDK_PATH}/cmake/modules")
include_directories(${GKICK_VST_SDK_PATH})
include_directories(${GKICK_REDKITE_SDK_PATH}/include)
link_directories(${GKICK_REDKITE_SDK_PATH}/lib)

get_filename_component(VST3SDK_FOLDER_NAME ${GKICK_VST_SDK_PATH} NAME)
if(NAME_FROM_PATH STREQUAL "" AND (VST3SDK_FOLDER_NAME STREQUAL "." OR VST3SDK_FOLDER_NAME STREQUAL ".."))
    message(FATAL_ERROR "The folder name '${VST3SDK_FOLDER_NAME}' of VST3 SDK is invalid or empty.")
else()
    link_directories(${CMAKE_BINARY_DIR}/${VST3SDK_FOLDER_NAME}/build/lib)
endif()

add_subdirectory(${GKICK_VST_SDK_PATH} EXTERN)

set(GKICK_VST_HEADERS
  ${GKICK_VST_SDK_PATH}/public.sdk/source/vst/vstcomponentbase.h
  ${GKICK_VST_SDK_PATH}/public.sdk/source/vst/vstsinglecomponenteffect.h
  ${GKICK_VST_DIR}/VstIds.h
  ${GKICK_VST_DIR}/GKickVstProcessor.h
  ${GKICK_VST_DIR}/GKickVstEditor.h
  )

set(GKICK_VST_SOURCES
  ${GKICK_VST_SDK_PATH}/public.sdk/source/vst/vstcomponentbase.cpp
  ${GKICK_VST_SDK_PATH}/public.sdk/source/vst/vstsinglecomponenteffect.cpp
  ${GKICK_VST_DIR}/VstFactory.cpp
  ${GKICK_VST_DIR}/GKickVstProcessor.cpp
  ${GKICK_VST_DIR}/GKickVstEditor.cpp
  )

set(target geonkick_vst)

link_directories(${PTHREAD_LIB_PATH})

add_library(${target} SHARED ${GKICK_VST_HEADERS} ${GKICK_VST_SOURCES})

set_target_properties(${target} PROPERTIES PREFIX "")
set_target_properties(${target} PROPERTIES OUTPUT_NAME "Geonkick")
if (CMAKE_SYSTEM_NAME MATCHES Windows)
    set_target_properties(${target} PROPERTIES SUFFIX ".dll")
else ()
    set_target_properties(${target} PROPERTIES SUFFIX ".so")
endif ()

target_link_libraries(${target} PRIVATE base sdk sdk_common pluginterfaces)
target_link_libraries(${target} PRIVATE geonkick_common dsp_plugin redkite)

if (CMAKE_SYSTEM_NAME MATCHES Windows)
target_link_libraries(${target} PRIVATE
      "libcairo.a"
      "libmsimg32.a"
      "libfontconfig.a"
      "libfreetype.a"
      "libpixman-1.a"
      "libpng.a"
      "libintl.a"
      "libiconv.a"
      "libexpat.a"
      "libbrotlidec.a"
      "libharfbuzz.a"
      "libbz2.a"
      "libbrotlicommon.a"
      "libgraphite2.a"
      "librpcrt4.a"
      "libsndfile.a"
      "libvorbis.a"
      "libvorbisenc.a"
      "libogg.a"
      "libFLAC.a"
      "libmp3lame.a"
      "libopus.a"
      "libmpg123.a"
      "libshlwapi.a"
      "libz.a"
      "libwinpthread.a"
      "libdwrite.a"
      "-static-libstdc++"
      "-static-libgcc"
      )
else()
      target_link_libraries(${target} PRIVATE "-lstdc++ -lstdc++fs -lsndfile -lcairo -lm -lpthread")
endif()

add_dependencies(${target} geonkick_common)

install(TARGETS geonkick_vst DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/vst3/Geonkick.vst3/Contents/${GKICK_ARCHITECTURE}-linux)

=== src/redkite/tools/CMakeLists.txt ===
set(RK_TOOLS_SOURCES ${RK_TOOLS_PATH}/rkpng2c.c)

if (RK_GRAPHICS_BACKEND MATCHES Cairo)
  set(RK_GRAPHICS_BACKEND_LINK_LIBS "-lcairo")
else()
  set(RK_GRAPHICS_BACKEND_LINK_LIBS "-lcairo")
endif()

add_executable(rkpng2c ${RK_EXEC_OPTION} ${RK_TOOLS_SOURCES})

if (CMAKE_SYSTEM_NAME MATCHES Windows)
  target_link_libraries(rkpng2c "-mwindows -lstdc++ -lm -lmingw32")
  target_link_libraries(rkpng2c ${RK_GRAPHICS_BACKEND_LINK_LIBS})
else()
  target_link_libraries(rkpng2c ${RK_GRAPHICS_BACKEND_LINK_LIBS})
endif()

if (REDKITE_ENABLE_INSTALL)
install(TARGETS rkpng2c DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(REDKITE_ENABLE_INSTALL)

=== debian/changelog ===
geonkick (3.7.0-0ubuntu1) resolute; urgency=medium

  * New upstream release.
  * d/copyright: bump dates
  * d/control: bump Standards-Version, no changes required
  * Refreshed patch

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 02 Jan 2026 12:29:00 -0800

=== debian/control ===
Source: geonkick
Section: sound
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
XSBC-Original-Maintainer: Equipe LibraZiK <librazik@tuxfamily.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libcairo2-dev,
 libjack-jackd2-dev | libjack-dev,
 libx11-dev,
 lv2-dev,
 pkgconf,
 rapidjson-dev,
 libsndfile1-dev,
 libssl-dev
Standards-Version: 4.7.1
Homepage: https://github.com/iurie-sw/geonkick

Package: geonkick
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides: standalone-plugin, lv2-plugin
Description: Kick drum synthesizer
 Geonkick is a synthesizer that can synthesize elements of percussion. The most
 basic examples are: kick drums, snares, hit-hats, shakers, claps, steaks.
 .
 Available as an LV2 plugin and JACK standalone version.
